Index: src/rtgutil.c
===========================================================================
--- src/rtgutil.c	2004/11/03 14:26:17	#6
+++ src/rtgutil.c	2004/11/03 14:26:17
@@ -3,144 +3,96 @@
    Author:      $Author: cbrotsos $
    Date:        $Date: 2004/08/25 19:24:59 $
    Description: RTG Routines
+   Do You:      $Yahoo$
 ****************************************************************************/
 
+#include <ctype.h>
 #include "common.h"
 #include "rtg.h"
+#include "rtghash.h"
 
-extern FILE *dfp;
-
 /* read configuration file to establish local environment */
-int read_rtg_config(char *file, config_t * set)
+int
+read_rtg_config(char *file)
 {
-    FILE *fp;
-    char buff[BUFSIZE];
-    char p1[BUFSIZE];
-    char p2[BUFSIZE];
+	FILE *fp;
+	char buff[BUFSIZE];
+	char p1[BUFSIZE];
+	char p2[BUFSIZE];
 
-    if ((fp = fopen(file, "r")) == NULL) {
-        return (-1);
-    } else {
-		if (set->verbose >= LOW) {
-			if (set->daemon)
-				sysloginfo("Using RTG config file [%s].\n", file);
-			else
-				fprintf(dfp, "Using RTG config file [%s].\n", file);
-		}
-        while(!feof(fp)) {
-           fgets(buff, BUFSIZE, fp);
-           if (!feof(fp) && *buff != '#' && *buff != ' ' && *buff != '\n') {
-              sscanf(buff, "%20s %20s", p1, p2);
-              if (!strcasecmp(p1, "Interval")) set->interval = atoi(p2);
-              else if (!strcasecmp(p1, "HighSkewSlop")) set->highskewslop = atof(p2);
-              else if (!strcasecmp(p1, "LowSkewSlop")) set->lowskewslop = atof(p2);
-#if !NEW_TARGET_FORMAT
-              else if (!strcasecmp(p1, "SNMP_Ver")) set->snmp_ver = atoi(p2);
-#endif
-              else if (!strcasecmp(p1, "SNMP_Port")) set->snmp_port = atoi(p2);
-              else if (!strcasecmp(p1, "Threads")) set->threads = atoi(p2);
-              else if (!strcasecmp(p1, "DB_Host")) strncpy(set->dbhost, p2, sizeof(set->dbhost));
-              else if (!strcasecmp(p1, "DB_Database")) strncpy(set->dbdb, p2, sizeof(set->dbdb));
-              else if (!strcasecmp(p1, "DB_User")) strncpy(set->dbuser, p2, sizeof(set->dbuser));
-              else if (!strcasecmp(p1, "DB_Pass")) strncpy(set->dbpass, p2, sizeof(set->dbpass));
+	if ((fp = fopen(file, "r")) == NULL)
+		return (-1);
 
-#if !NEW_TARGET_FORMAT
-/* Long longs not ANSI C.  If OS doesn't support atoll() use default. */
-              else if (!strcasecmp(p1, "OutOfRange")) 
-#ifdef HAVE_STRTOLL
-                  set->out_of_range = strtoll(p2, NULL, 0);
-#else
-                  set->out_of_range = DEFAULT_OUT_OF_RANGE;
-#endif
-#endif
+	if (set.verbose >= LOW) {
+		if (set.daemon)
+			sysloginfo("Using RTG config file [%s].\n", file);
+		else
+			fprintf(dfp, "Using RTG config file [%s].\n", file);
+	}
 
-              else { 
-                 fatalfile(dfp, "*** Unrecongized directive: %s=%s in %s\n", 
-                    p1, p2, file);
-              }
-           }
+	while (!feof(fp)) {
+		fgets(buff, BUFSIZE, fp);
+		if (!isalpha(buff[0]))
+			continue;
+		sscanf(buff, "%79s %79s", p1, p2);
+		if (!strcasecmp(p1, "Interval"))
+			set.interval = atoi(p2);
+		else if (!strcasecmp(p1, "HighSkewSlop"))
+			set.highskewslop = atof(p2);
+		else if (!strcasecmp(p1, "LowSkewSlop"))
+			set.lowskewslop = atof(p2);
+		else if (!strcasecmp(p1, "Threads"))
+			set.threads = strtoul(p2, NULL, 10);
+		else if (!strcasecmp(p1, "DB_Host"))
+			strncpy(set.dbhost, p2, sizeof(set.dbhost));
+		else if (!strcasecmp(p1, "DB_Database"))
+			strncpy(set.dbdb, p2, sizeof(set.dbdb));
+		else if (!strcasecmp(p1, "DB_User"))
+			strncpy(set.dbuser, p2, sizeof(set.dbuser));
+		else if (!strcasecmp(p1, "DB_Pass"))
+			strncpy(set.dbpass, p2, sizeof(set.dbpass));
+		else if (!strcasecmp(p1, "DB_Port"))
+			set.dbport = atoi(p2);
+		else if (!strcasecmp(p1, "DB_Socket"))
+			strncpy(set.dbsock, p2, sizeof(set.dbsock));
+		else { 
+			fatalfile(dfp,
+			    "*** Unrecongized directive: %s=%s in %s\n", p1,
+			    p2, file);
+		}
         }
 
-#if !NEW_TARGET_FORMAT
-        if (set->snmp_ver != 1 && set->snmp_ver != 2) 
-          fatalfile(dfp, "*** Unsupported SNMP version: %d.\n", set->snmp_ver);
-#endif
-        if (set->threads < 1 || set->threads > MAX_THREADS) 
-          fatalfile(dfp, "*** Invalid Number of Threads: %d (max=%d).\n", 
-             set->threads, MAX_THREADS);
-        return (0);
-    }
-}
+        if (set.threads == 0 || set.threads > MAX_THREADS) 
+		fatalfile(dfp,
+		    "*** Invalid Number of Threads: %hu (max=%u).\n", 
+		    set.threads, MAX_THREADS);
 
-
-int write_rtg_config(char *file, config_t * set)
-{
-    FILE *fp;
-
-	if (set->verbose >= LOW && !(set->daemon))
-		fprintf(dfp, "Writing default config file [%s].", file);
-    if ((fp = fopen(file, "w")) == NULL) {
-        fprintf(dfp, "\nCould not open '%s' for writing\n", file);
-        return (-1);
-    } else {
-        fprintf(fp, "#\n# RTG v%s Master Config\n#\n", VERSION);
-        fprintf(fp, "Interval\t%d\n", set->interval);
-        fprintf(fp, "HighSkewSlop\t%f\n", set->highskewslop);
-        fprintf(fp, "LowSkewSlop\t%f\n", set->lowskewslop);
-#if !NEW_TARGET_FORMAT
-        fprintf(fp, "OutOfRange\t%lld\n", set->out_of_range);
-        fprintf(fp, "SNMP_Ver\t%d\n", set->snmp_ver);
-#endif
-        fprintf(fp, "SNMP_Port\t%d\n", set->snmp_port);
-        fprintf(fp, "DB_Host\t%s\n", set->dbhost);
-        fprintf(fp, "DB_Database\t%s\n", set->dbdb);
-        fprintf(fp, "DB_User\t%s\n", set->dbuser);
-        fprintf(fp, "DB_Pass\t%s\n", set->dbpass);
-        fprintf(fp, "Threads\t%d\n", set->threads);
-        fclose(fp);
-        return (0);
-    }
+	return (0);
 }
 
-
 /* Populate Master Configuration Defaults */
-void config_defaults(config_t * set)
+void config_defaults(void)
 {
-   set->interval = DEFAULT_INTERVAL;
-   set->highskewslop = DEFAULT_HIGHSKEWSLOP;
-   set->lowskewslop = DEFAULT_LOWSKEWSLOP;
-#if !NEW_TARGET_FORMAT
-   set->out_of_range = DEFAULT_OUT_OF_RANGE;
-   set->snmp_ver = DEFAULT_SNMP_VER;
-#endif
-   set->snmp_port = DEFAULT_SNMP_PORT;
-   set->threads = DEFAULT_THREADS;
-   strncpy(set->dbhost, DEFAULT_DB_HOST, sizeof(set->dbhost));
-   strncpy(set->dbdb, DEFAULT_DB_DB, sizeof(set->dbhost));
-   strncpy(set->dbuser, DEFAULT_DB_USER, sizeof(set->dbhost));
-   strncpy(set->dbpass, DEFAULT_DB_PASS, sizeof(set->dbhost));
-   set->dboff = FALSE;
-   set->withzeros = FALSE;
-   set->verbose = OFF; 
-   set->daemon = FALSE;
+   set.interval = DEFAULT_INTERVAL;
+   set.highskewslop = DEFAULT_HIGHSKEWSLOP;
+   set.lowskewslop = DEFAULT_LOWSKEWSLOP;
+   set.threads = DEFAULT_THREADS;
+   strncpy(set.dbhost, DEFAULT_DB_HOST, sizeof(set.dbhost));
+   strncpy(set.dbdb, DEFAULT_DB_DB, sizeof(set.dbhost));
+   strncpy(set.dbuser, DEFAULT_DB_USER, sizeof(set.dbhost));
+   strncpy(set.dbpass, DEFAULT_DB_PASS, sizeof(set.dbhost));
+   set.dbport = DEFAULT_DB_PORT;
+   *(set.dbsock) = '\0';
+   set.dboff = FALSE;
+   set.withzeros = FALSE;
+   set.verbose = OFF; 
+   set.daemon = FALSE;
    strncpy(config_paths[0], CONFIG_PATH_1, sizeof(config_paths[0]));
    strncpy(config_paths[1], CONFIG_PATH_2, sizeof(config_paths[1]));
    snprintf(config_paths[2], sizeof(config_paths[1]), "%s/etc/", RTG_HOME);
-   return;
 }
 
 
-/* Print RTG stats */
-void print_stats(stats_t stats)
-{
-  debug(OFF, "[Polls = %lld] [DBInserts = %lld] [Wraps = %d] [OutOfRange = %d]\n",
-      stats.polls, stats.db_inserts, stats.wraps, stats.out_of_range);
-  debug(OFF, "[No Resp = %d] [SNMP Errs = %d] [Slow = %d] [PollTime = %2.3f%c]\n",
-      stats.no_resp, stats.errors, stats.slow, stats.poll_time, 's');
-  return;
-}
-
-
 /* A fancy sleep routine */
 int sleepy(float sleep_time)
 {
@@ -171,23 +123,22 @@
 
 /* Timestamp */
 void timestamp(char *str) {
-   time_t clock;
+   time_t tclock;
    struct tm *t;
 
-   clock = time(NULL);
-   t = localtime(&clock);
+   tclock = time(NULL);
+   t = localtime(&tclock);
    printf("[%02d/%02d %02d:%02d:%02d %s]\n", t->tm_mon + 1, 
       t->tm_mday, t->tm_hour, t->tm_min, t->tm_sec, str);
-   return;
 }
 
 char *file_timestamp() {
    static char str[BUFSIZE];
-   time_t clock;
+   time_t tclock;
    struct tm *t;
 
-   clock = time(NULL);
-   t = localtime(&clock);
+   tclock = time(NULL);
+   t = localtime(&tclock);
    snprintf(str, sizeof(str), "%02d%02d_%02d:%02d:%02d", t->tm_mon + 1, 
       t->tm_mday, t->tm_hour, t->tm_min, t->tm_sec);
    return(str);
@@ -208,7 +159,6 @@
 	return (result);
 }
 
-
 int checkPID(char *pidfile) {
 	FILE *pidptr = NULL;
 	pid_t rtgpoll_pid;
@@ -237,23 +187,8 @@
 		fclose(pidptr);
 		return(0);
 	}
-	else {
-		/* Yuck, we can't even write the PID. Goodbye. */
-		return(-1);
-	}
-}
-
-int alldigits(char *s) {
-    int result = TRUE;
-
-	if (*s == '\0') return FALSE;
-
-    while (*s != '\0') {
-        if (!(*s >= '0' && *s <= '9')) 
-			return FALSE;
-        s++;
-    }
-    return result;
+	/* Yuck, we can't even write the PID. Goodbye. */
+	return(-1);
 }
 
 /* As per Stevens */
